<?php

namespace email\templates;

use email\helpers\email_template;

class email_template_wash_certificate
{
    use email_template;

    protected int $booking_id;
    protected string $company_name;

    public function __construct(
        int    $booking_id,
        string $company_name,
    )
    {
        $this->booking_id = $booking_id;
        $this->company_name = $company_name;
    }

    public function generate_text(): string
    {
        return "";
    }

    public function generate_html(): string
    {
        ob_start();
        # Start of the html
        ?>

        <!-- Email template -->
        <p>Kære <?= $this->company_name ?>,</p>
        <br>
        <p>Din ordre er udført.</p>
        <p>Vi har vedhæftet dit vaskecertifikat til denne email.</p>
        <br>
        <p>Tak fordi du valgte Truck Wash – vi sætter stor pris på dit samarbejde.</p>
        <p>Har du behov for yderligere assistance, er vi kun en e-mail eller et opkald væk.</p>
        <p>De bedste hilsner - Kind regards</p>
        <p>Truck Wash</p>
        <!-- End of the email template -->

        <?php
        # End of the html
        return ob_get_clean();
    }
}